Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.CachedMethod

All Implemented Interfaces:
  java.lang.Comparable

    public class CachedMethod
    extends MetaMethod

Authors:
  Alex.Tkachman

Field Summary
`CachedClass` | `cachedClass`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`CachedMethod(CachedClass clazz, java.lang.reflect.Method method)`
`CachedMethod(java.lang.reflect.Method method)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`CallSite` | `createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)`
`CallSite` | `createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)`
`CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)`
`boolean` | `equals(java.lang.Object o)`
`static CachedMethod` | `find(java.lang.reflect.Method method)`
`java.lang.reflect.Method` | `getCachedMethod()`
`CachedClass` | `getDeclaringClass()`
`java.lang.String` | `getDescriptor()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`protected java.lang.Class[]` | `getPT()`
`ParameterTypes` | `getParamTypes()`
`int` | `getParamsCount()`
`java.lang.Class` | `getReturnType()`
`java.lang.String` | `getSignature()`
`int` | `hashCode()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`boolean` | `isStatic()`
`java.lang.reflect.Method` | `setAccessible()`
`java.lang.String` | `toString()`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### cachedClass

    public final CachedClass cachedClass

Constructor Detail

### CachedMethod

    public CachedMethod(CachedClass clazz, java.lang.reflect.Method method)

### CachedMethod

    public CachedMethod(java.lang.reflect.Method method)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

### createPogoMetaMethodSite

    public CallSite createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)

### createPojoMetaMethodSite

    public CallSite createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)

### createStaticMetaMethodSite

    public CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, java.lang.Class[] params)

### equals

    public boolean equals(java.lang.Object o)

### find

    public static CachedMethod find(java.lang.reflect.Method method)

### getCachedMethod

    public java.lang.reflect.Method getCachedMethod()

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getDescriptor

    public java.lang.String getDescriptor()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getPT

    protected java.lang.Class[] getPT()

### getParamTypes

    public ParameterTypes getParamTypes()

### getParamsCount

    public int getParamsCount()

### getReturnType

    public java.lang.Class getReturnType()

### getSignature

    public java.lang.String getSignature()

### hashCode

    public int hashCode()

### invoke

    public final java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

### isStatic

    public boolean isStatic()

### setAccessible

    public final java.lang.reflect.Method setAccessible()

### toString

    public java.lang.String toString()

Groovy Documentation